Page MenuHomePhabricator

Per-page configurable date-based thread limit
Open, NormalPublic

Description

Bug 20961 has been fixed, but it should also be possible to set per-page how old the last included thread should be (e.g., 7 days). It makes sense that on some pages you show all recent discussions, even if they're many, because they all need the same attention (e.g. [[WP:AN/I]] and similar pages or the village pump), espcially if you can't mark a thread as closed/resolved (see also bug 24815).


Version: unspecified
Severity: enhancement

Details

Reference
bz25054

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:11 PM
bzimport set Reference to bz25054.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Sep 4 2010, 4:27 PM

See also bug 25055 for a sort of workaround.

Jorm added a comment.Sep 10 2010, 1:29 AM

This is going to be getting changed in the redesign - the way that the table of contents works - so it's a bit of a moot bug.

I am not normally a fan of per-page configuration options. However, WP:AN/I is a big concern of mine, so it isn't something I'm willing to throw away entirely.

I'm going to close this, with the caveat that we can reopen if the issue requires additional attention.

Brandon:
This report has been in ASSIGNED status for more than one year and you are set as its assignee. In case that you are not actively working on a fix, please reset the bug status to NEW/UNCONFIRMED.
In case you do not plan to work on a fix in the near future: Please also edit the "Assigned To" field by clicking "Reset Assignee to default", in order to not prevent potential contributors from working on a fix. Thanks for your help!
[assigned>=1y]

Jorm removed a subscriber: Jorm.Dec 26 2015, 7:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 26 2015, 7:29 PM
Jdforrester-WMF lowered the priority of this task from Normal to Lowest.Aug 4 2016, 11:35 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

LiquidThreads has been replaced by StructuredDiscussions on all Wikimedia production wikis (except one, which will be done soon). It is no longer under active development or maintenance, so I'm re-classifying all open LQT tasks as "Lowest" priority.

Nemo_bis raised the priority of this task from Lowest to Normal.Feb 24 2019, 8:36 AM

Restore information removed with now-invalid rationale.

Liuxinyu970226 lowered the priority of this task from Normal to Lowest.Mar 22 2019, 1:59 AM
Liuxinyu970226 added a subscriber: Liuxinyu970226.

@Nemo_bis Do you have Gerrit patches to fix it? If not, then this is not suitable for Normal or High priority

Nemo_bis raised the priority of this task from Lowest to Normal.Mar 22 2019, 1:10 PM

Restore information removed with invalid rationale.